Search
Get search state
Return the current lifecycle state of a search, including summary counters, webhook delivery status, and follow-up links.
GET
/
search
/
{id}
Get search state
curl --request GET \
--url https://api.osint.ly/search/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.osint.ly/search/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.osint.ly/search/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"search": {
"id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"status": "processing",
"query": {
"type": "Email Address",
"value": "[email protected]"
},
"created_at": "2026-05-27T12:00:00.000Z",
"started_at": "2026-05-27T12:00:02.000Z",
"completed_at": null
},
"summary": {
"module_results": 0,
"breached_accounts": 0,
"registered_accounts": 0,
"leak_sources": 0
},
"delivery": {
"webhook": {
"status": "pending",
"attempts": 0,
"sent_at": null,
"last_attempt_at": null
}
},
"links": {
"stream": "https://api.osint.ly/search/d290f1ee-6c54-4b01-90e6-d701748f0851/stream",
"results": "https://api.osint.ly/search/d290f1ee-6c54-4b01-90e6-d701748f0851/results",
"byok": "https://api.osint.ly/search/d290f1ee-6c54-4b01-90e6-d701748f0851/byok",
"leaks": "https://api.osint.ly/search/d290f1ee-6c54-4b01-90e6-d701748f0851/results/leaks"
}
},
"meta": {
"environment": "production",
"timestamp": "2026-05-27T12:00:05.000Z"
}
}Was this page helpful?
⌘I
Get search state
